#ifndef _SCP_CONFIG_H_
#define _SCP_CONFIG_H_
#include <gtk/gtk.h>
typedef struct scp_config ScpConfig;

struct scp_config {
	int curElem;
	GString* confFile;
	GString* chListUri;
	GString* scExe;
	GString* playerExe;
	GString* playerParams;
	GtkDialog* mainDlg;
	GtkFileChooserButton* scExeChsBtn;
	GtkFileChooserButton* playerExeChsBtn;
	GtkEntry* playerParamsEty;
	GtkEntry* chListUriEty;
};

int ScpConfigInit(ScpConfig* cfg);
int ScpConfigExit(ScpConfig* cfg);
int ScpConfigShowDialog(ScpConfig* cfg);
int ScpConfigSave(ScpConfig* cfg);
#endif

